Listar lotes de facturas
curl --request GET \
--url https://facture.ar/api/invoices/batches \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://facture.ar/api/invoices/batches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://facture.ar/api/invoices/batches"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://facture.ar/api/invoices/batches",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"createdAt": "2023-11-07T05:31:56Z",
"totalItems": 123,
"processedItems": 123,
"failedItems": 123,
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"meta": {
"page": 123,
"limit": 123,
"total": 123,
"totalPages": 123
}
}Lotes
Listar lotes de facturas
Obtiene la lista de lotes de facturas con paginación.
GET
/
invoices
/
batches
Listar lotes de facturas
Authorizations
API Key para autenticación. Formato: test_sk_xxx para testing, prod_sk_xxx para producción.
Query Parameters
Filtrar por estado del lote
Available options:
pending, processing, completed, failed Número de página
Required range:
x >= 1Elementos por página
Required range:
1 <= x <= 100